Page MenuHomePhabricator

SelectFileWidget doesn't trim long text, hiding the button
Closed, ResolvedPublic1 Estimated Story Points

Description

The recent change that uses a separate button has the problem of not knowing how wide the widget would be (I am not sure if that was the case earlier too).

! From a previous comment

The only thing I dislike about this patterns that its never clear how much space the widget is taking…

This is more of a problem when the widget is in a dialog:

I don't know how to fix this. Making .oo-ui-selectFileWidget-label an inline-block with a max-width of 100% doesn't help. Will we have to specify an absolute em value? If yes, what?

Event Timeline

Esanders created this task.Sep 6 2015, 10:18 AM
Esanders raised the priority of this task from to Needs Triage.
Esanders updated the task description. (Show Details)
Esanders added a project: OOUI.
Esanders added subscribers: Esanders, Prtksxna.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 6 2015, 10:18 AM
Esanders renamed this task from FileSelectWidget doesn't trim long text, hiding the button to SelectFileWidget doesn't trim long text, hiding the button.Sep 6 2015, 10:18 AM
Esanders set Security to None.

Change 236600 had a related patch set uploaded (by Esanders):
SelectFileWidget: Overflow and ellipsis for label

https://gerrit.wikimedia.org/r/236600

Jdforrester-WMF closed this task as Resolved.Sep 7 2015, 7:30 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF edited a custom field.

Change 236600 merged by jenkins-bot:
SelectFileWidget: Overflow and ellipsis for label

https://gerrit.wikimedia.org/r/236600

Jdforrester-WMF triaged this task as Medium priority.Sep 10 2015, 7:00 PM
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Sep 18 2015, 3:23 PM